package com.ssj.service.conch.teacher.app.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yangcan
 * 类描述: 用户userId实体
 * 创建时间:2019/7/23 15:52
 */
public class PasswordUpdateReq extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "oldPassword", value = "手机号码", required = true)
    @NotBlank
    private String oldPassword;

    @ApiModelProperty(name = "newPassword", value = "验证码", required = true)
    @NotBlank
    private String newPassword;

    public String getOldPassword() {
        return oldPassword;
    }

    public void setOldPassword(String oldPassword) {
        this.oldPassword = oldPassword;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }
}
